net.sf.okapi.common.exceptions

## Class OkapiFilterCreationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiFilterCreationException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiFilterCreationException
      extends OkapiException

  Signals that a filter could not be created.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiFilterCreationException()` Creates an empty new OkapiBadFilterInputException object.
    `OkapiFilterCreationException(java.lang.String message)` Creates a new OkapiFilterCreationException object with a given message.
    `OkapiFilterCreationException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiBadFilterInputException object with a given message and a given parent exception cause.
    `OkapiFilterCreationException(java.lang.Throwable cause)` Creates a new OkapiFilterCreationException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiFilterCreationException

          public OkapiFilterCreationException()

      Creates an empty new OkapiBadFilterInputException object.

    - #### OkapiFilterCreationException

          public OkapiFilterCreationException(java.lang.String message)

      Creates a new OkapiFilterCreationException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiFilterCreationException

          public OkapiFilterCreationException(java.lang.Throwable cause)

      Creates a new OkapiFilterCreationException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiFilterCreationException

          public OkapiFilterCreationException(java.lang.String message,
                                      java.lang.Throwable cause)

      Creates a new OkapiBadFilterInputException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.